Project

General

Profile

Bug #30261

New GUI doesn't populate fields with currently-set option

Added by Eric Loewenthal over 3 years ago. Updated over 3 years ago.

Status:
Done
Priority:
No priority
Assignee:
-
Category:
GUI (new)
Severity:
Reason for Closing:
Reason for Blocked:
Needs QA:
Yes
Needs Doc:
Yes
Needs Merging:
No
Needs Automation:
No
Support Suite Ticket:
n/a
Hardware Configuration:
ChangeLog Required:
No

Description

Throughout the new GUI, fields are empty, even though something is obviously set.

The attached image shows an example, from edit dataset.

This is on FreeNAS-11-MASTER-201803190428

newGUI2.PNG (103 KB) newGUI2.PNG Empty fields where the current setting should be Eric Loewenthal, 03/19/2018 03:29 PM
15381

Subtasks

Bug #30645: Jail Edit sometimes traces backClosedLola Yang

Associated revisions

Revision 4c9e6f65 (diff)
Added by Erin Clark over 3 years ago

Values should only be array type if setting a multiple select This fixes System General and possibly others with single select dropdowns Ticket: #30261

Revision ffa3ce2f (diff)
Added by Erin Clark over 3 years ago

Fix a traceback that happened to me with notifications that caused some pages to not load forEach is dangerous Ticket: #30261

Revision cc5cbbb0 (diff)
Added by Erin Clark over 3 years ago

Need to return the data when it is being transformed so the data will load Ticket: #30261

History

#1 Updated by Eric Loewenthal over 3 years ago

15381

Forgot the image.

#2 Updated by Eric Loewenthal over 3 years ago

Clarification: Not all fields are empty. There are several places where this happens.

#3 Updated by Dru Lavigne over 3 years ago

  • Assignee changed from Release Council to Anonymous
  • Target version set to 11.2-RC2

#4 Updated by Anonymous over 3 years ago

Any idea which other ones are doing this?

#5 Updated by Eric Loewenthal over 3 years ago

Hmm, most fields seem to be working now, but I still see this in the case from the screenshot and in Jails/Edit (after selecting one jail).

In the latter case, I do get a traceback:

Error 22:[query-filters] A dict was expected

Error: concurrent.futures.process._RemoteTraceback: 
""" 
Traceback (most recent call last):
  File "/usr/local/lib/python3.6/concurrent/futures/process.py", line 175, in _process_worker
    r = call_item.fn(*call_item.args, **call_item.kwargs)
  File "/usr/local/lib/python3.6/site-packages/middlewared/worker.py", line 102, in main_worker
    res = loop.run_until_complete(coro)
  File "/usr/local/lib/python3.6/asyncio/base_events.py", line 467, in run_until_complete
    return future.result()
  File "/usr/local/lib/python3.6/site-packages/middlewared/worker.py", line 62, in _call
    return methodobj(*args)
  File "/usr/local/lib/python3.6/site-packages/middlewared/worker.py", line 62, in _call
    return methodobj(*args)
  File "/usr/local/lib/python3.6/site-packages/middlewared/schema.py", line 505, in nf
    args, kwargs = clean_and_validate_args(args, kwargs)
  File "/usr/local/lib/python3.6/site-packages/middlewared/schema.py", line 458, in clean_and_validate_args
    value = attr.clean(args[args_index + i])
  File "/usr/local/lib/python3.6/site-packages/middlewared/schema.py", line 296, in clean
    raise Error(self.name, 'A dict was expected')
middlewared.schema.Error: [query-filters] A dict was expected
""" 

The above exception was the direct cause of the following exception:

Traceback (most recent call last):
  File "/usr/local/lib/python3.6/site-packages/middlewared/main.py", line 152, in call_method
    result = await self.middleware.call_method(self, message)
  File "/usr/local/lib/python3.6/asyncio/coroutines.py", line 128, in throw
    return self.gen.throw(type, value, traceback)
  File "/usr/local/lib/python3.6/site-packages/middlewared/main.py", line 958, in call_method
    return await self._call(message['method'], serviceobj, methodobj, params, app=app)
  File "/usr/local/lib/python3.6/asyncio/coroutines.py", line 128, in throw
    return self.gen.throw(type, value, traceback)
  File "/usr/local/lib/python3.6/site-packages/middlewared/main.py", line 912, in _call
    return await self._call_worker(serviceobj, name, *args)
  File "/usr/local/lib/python3.6/asyncio/coroutines.py", line 128, in throw
    return self.gen.throw(type, value, traceback)
  File "/usr/local/lib/python3.6/site-packages/middlewared/main.py", line 935, in _call_worker
    job,
  File "/usr/local/lib/python3.6/asyncio/coroutines.py", line 128, in throw
    return self.gen.throw(type, value, traceback)
  File "/usr/local/lib/python3.6/site-packages/middlewared/main.py", line 870, in run_in_proc
    return await self.run_in_executor(self.__procpool, method, *args, **kwargs)
  File "/usr/local/lib/python3.6/asyncio/coroutines.py", line 128, in throw
    return self.gen.throw(type, value, traceback)
  File "/usr/local/lib/python3.6/site-packages/middlewared/main.py", line 864, in run_in_executor
    return await loop.run_in_executor(pool, functools.partial(method, *args, **kwargs))
middlewared.schema.Error: [query-filters] A dict was expected

#6 Updated by Anonymous over 3 years ago

  • Priority changed from No priority to Expected

I am not seeing the jails/edit traceback you found but I do see the traceback in the original screenshot.

#7 Updated by Anonymous over 3 years ago

  • Status changed from Unscreened to Not Started

#8 Updated by Anonymous over 3 years ago

  • Status changed from Not Started to In Progress

I have found some pages that still don't load data properly due to tracebacks, I will fix these in micro PRs since they seem to have different causes starting with these two

https://github.com/freenas/webui/pull/532
https://github.com/freenas/webui/pull/531

#9 Updated by Anonymous over 3 years ago

SMB edit also had issues, here is a fix for that one:

https://github.com/freenas/webui/pull/534

#10 Updated by Anonymous over 3 years ago

I was able to reproduce the Jail Edit traceback afterall, see this ticket: https://redmine.ixsystems.com/issues/30645

#11 Updated by Anonymous over 3 years ago

I think I have fixed most of these things but I will leave the ticket open in case I find any others

#12 Updated by Anonymous over 3 years ago

  • Status changed from In Progress to Done

I haven't seen any others of this nature, please open a new ticket if you find any

#13 Updated by Dru Lavigne over 3 years ago

  • Target version changed from 11.2-RC2 to Master - FreeNAS Nightlies
  • Needs Merging changed from Yes to No

Also available in: Atom PDF